List filing packs
GET
/packs
const url = 'https://api.europlaybook.com/v1/packs?limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.europlaybook.com/v1/packs?limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”OK
Media typeapplication/json
PackPage
object
items
required
Items
Array<object>
PackOutobject
id
required
Id
string format: uuid
period_id
required
Period Id
string format: uuid
scheme
required
Scheme
string
report_type
required
Report Type
string
kind
required
Kind
Original or amendment.
string
status
required
Status
Draft, ready, approved or filed.
string
format
required
Format
string
has_file
required
Has File
boolean
filing_ref
Filing Ref
string
created_at
required
Created At
string format: date-time
Example
{ "items": [ { "id": "0199f5a2-7c1e-7b4a-9d0e-3f6c2a1b8e44", "filing_ref": "" } ], "next_cursor": "WyIwMTk5ZjVhMi03YzFlLTdiNGEtOWQwZS0zZjZjMmExYjhlNDQiXQ"}Bad Request
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Unauthorized
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Forbidden
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Not Found
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Conflict
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Unprocessable Content
Media typeapplication/json
PublicValidationErrorOut
object
detail
required
Detail
What went wrong, in English, for people and logs.
string
code
required
Code
Stable machine-readable error code; translate and branch on this.
string
errors
Errors
Per-field problems (pydantic format: loc, msg, type).
Array<object>
object
key
additional properties
any
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }, "errors": []}Too Many Requests
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}